DtDtsFileToDataType(library call)

NAME
DtDtsFileToDataType — get a data type for a file

SYNOPSIS

#include &<Dt/Dts.h>
char *DtDtsFileToDataType(
const char *filepath);

DESCRIPTION

The function DtDtsFileToDataType returns a data type name for the specified file.

The filepath argument is the pathname of the file.

RETURN VALUE

Upon successful completion, the DtDtsFileToDataType function returns a pointer to a data type name string, or NULL if no value could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeDataType(3) function to release the memory for the returned value.

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsFreeDataType(3).